<?php

namespace App\Http\Controllers\Admin;

use Spatie\Permission\Models\Role;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;

use App\Models\Subscription;
use App\Models\Bymonth;

class DashboardController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {

//SUBSCRIPTION HIGHCHART #####################################################################################################
        $bymonths = Bymonth::where('repyear', date('Y'))->where('page','Subscription')->get();
        if(count($bymonths) === 0){
            //$bymonths = Bymonth::get();
            $repyear = date('Y');
            DB::table('bymonths')->where('page', 'Subscription')->where('repyear',$repyear)->delete();
            
            for($i = 0; $i < 12; $i++){
                $bymonths = new Bymonth;
                $bymonths->page = "Subscription";
                $bymonths->repyear = date('Y');
                $bymonths->monthno = $i;
                $bymonths->countno = 0;
                $bymonths->save(); 
            }

            $subscribers = Subscription::select(\DB::raw("Month(subsdate) as dhmonth"), \DB::raw("ifnull(count(*),0) as count"))
                        ->whereYear('subsdate', date('Y'))
                        ->where('status', 'Approved')
                        ->groupBy(\DB::raw("Month(subsdate)"))
                        ->get();

            foreach($subscribers as $subscribers){
                $dhmonth = $subscribers->dhmonth;
                $dhmonth = $dhmonth - 1;
                $bymonths = Bymonth::where('page', '=', "Subscription")->where('repyear', date('Y'))->where('monthno',$dhmonth)->first();
                $bymonths->countno = $subscribers->count;
                $bymonths->save();
            } 
        } else {
            $subscribers = Subscription::select(\DB::raw("Month(subsdate) as dhmonth"), \DB::raw("ifnull(count(*),0) as count"))
                        ->whereYear('subsdate', date('Y'))
                        ->where('status', 'Approved')
                        ->whereMonth('subsdate', date('m'))
                        ->groupBy(\DB::raw("Month(subsdate)"))
                        ->get();

            $dhmonth = date('m');
            $dhmonth = $dhmonth - 1;
            $bymonths = Bymonth::where('page', '=', "Subscription")->where('repyear', date('Y'))->where('monthno',$dhmonth)->first();
            $bymonths->countno = $subscribers->count();
            $bymonths->save();
        }


        $subscribers = Bymonth::select('monthno', 'countno')
                    ->where('page', 'Subscription')
                    ->where('repyear', date('Y'))
                    ->pluck('countno', 'monthno');

// END SUBSCRIPTION HIGHCHART #####################################################################################################
//CANCELLED SUBSCRIPTION HIGHCHART #####################################################################################################
        $bymonths = Bymonth::where('repyear', date('Y'))->where('page','CancelledSubscription')->get();
        if(count($bymonths) === 0){
            //$bymonths = Bymonth::get();
            $repyear = date('Y');
            DB::table('bymonths')->where('page', 'CancelledSubscription')->where('repyear',$repyear)->delete();
            
            for($i = 0; $i < 12; $i++){
                $bymonths = new Bymonth;
                $bymonths->page = "CancelledSubscription";
                $bymonths->repyear = date('Y');
                $bymonths->monthno = $i;
                $bymonths->countno = 0;
                $bymonths->save(); 
            }

            $cancelled = Subscription::select(\DB::raw("Month(subsdate) as dhmonth"), \DB::raw("ifnull(count(*),0) as count"))
                        ->whereYear('subsdate', date('Y'))
                        ->where('status', 'Cancelled')
                        ->groupBy(\DB::raw("Month(subsdate)"))
                        ->get();

            foreach($cancelled as $cancelled){
                $dhmonth = $cancelled->dhmonth;
                $dhmonth = $dhmonth - 1;
                $bymonths = Bymonth::where('page', '=', "CancelledSubscription")->where('repyear', date('Y'))->where('monthno',$dhmonth)->first();
                $bymonths->countno = $cancelled->count;
                $bymonths->save();
            } 
        } else {
            $cancelled = Subscription::select(\DB::raw("Month(subsdate) as dhmonth"), \DB::raw("ifnull(count(*),0) as count"))
                        ->whereYear('subsdate', date('Y'))
                        ->where('status', 'Cancelled')
                        ->whereMonth('subsdate', date('m'))
                        ->groupBy(\DB::raw("Month(subsdate)"))
                        ->get();

            $dhmonth = date('m');
            $dhmonth = $dhmonth - 1;
            $bymonths = Bymonth::where('page', '=', "CancelledSubscription")->where('repyear', date('Y'))->where('monthno',$dhmonth)->first();
            $bymonths->countno = $cancelled->count();
            $bymonths->save();
        }


        $cancelled = Bymonth::select('monthno', 'countno')
                    ->where('page', 'CancelledSubscription')
                    ->where('repyear', date('Y'))
                    ->pluck('countno', 'monthno');

// END CANCELLED SUBSCRIPTION HIGHCHART #####################################################################################################
        $users = DB::table('users')->get();                     

        return view('admin.dashboards.index',  compact('users', 'subscribers', 'cancelled'));

    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
