@extends('layouts.main') 
@section('title', 'View Reservation')
@section('content')

    <!-- push external head elements to head -->
    @push('head')
        <link rel="stylesheet" href="{{ asset('plugins/select2/dist/css/select2.min.css') }}">
        <link rel="stylesheet" href="{{ asset('plugins/summernote/dist/summernote-bs4.css') }}">
        <link rel="stylesheet" href="{{ asset('plugins/bootstrap-tagsinput/dist/bootstrap-tagsinput.css') }}">
        <link rel="stylesheet" href="{{ asset('plugins/mohithg-switchery/dist/switchery.min.css') }}">

        <style>

        .stamp {
          transform: rotate(12deg);
          color: #6495ED;
          font-size: 2rem;
          font-weight: 700;
          border: 0.25rem solid #6495ED;
          display: inline-block;
          padding: 0.25rem 1rem;
          text-transform: uppercase;
          border-radius: 1rem;
          font-family: 'Courier';
          -webkit-mask-image: url("{{ asset('mylib/images/grunge.png') }}");
          -webkit-mask-size: 944px 604px;
          mix-blend-mode: multiply;
        }

        .is-nope {
          color: #D23;
          border: 0.5rem double #D23;
          transform: rotate(3deg);
          -webkit-mask-position: 2rem 3rem;
          font-size: 2rem;  
        }

        .is-approved {
          color: #0A9928;
          border: 0.5rem solid #0A9928;
          -webkit-mask-position: 13rem 6rem;
          transform: rotate(-14deg);
          border-radius: 0;
        } 

        .is-draft {
          color: #17a2b8;
          border: 1rem double #17a2b8;
          transform: rotate(-5deg);
          font-size: 1rem;
          font-family: "Open sans", Helvetica, Arial, sans-serif;
          border-radius: 0;
          padding: 0.5rem;
        } 

        .is-cancelled {
          transform: rotate(12deg);
          color: #f0944d;
          font-size: 2rem;
          font-weight: 400;
          border: 0.25rem solid #f0944d;
          display: inline-block;
          padding: 0.50rem 2rem;
          text-transform: uppercase;
          border-radius: 1rem;
          font-family: 'Courier';
          -webkit-mask-image: url("{{ asset('mylib/images/grunge.png') }}");
          -webkit-mask-size: 900px 600px;
          mix-blend-mode: multiply;
        }

        </style>

    @endpush

    <div class="container-fluid">
        <div class="page-header">
            <div class="row align-items-end">
                <div class="col-lg-8">
                    <div class="page-header-title">
                        <i class="ik ik-user-plus bg-blue"></i>
                        <div class="d-inline">
                            <h5>{{ __('View Reservation')}}</h5>
                            <span>{{ __('View Reservation')}}</span>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4">
                    <nav class="breadcrumb-container" aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item">
                                <a href="{{route('home')}}"><i class="ik ik-home"></i></a>
                            </li>
                            <li class="breadcrumb-item"><a href="{{ route('admin.users.index') }}">{{ __('List of Reservation')}}</a></li>
                            <li class="breadcrumb-item active" aria-current="page">{{ __('View Reservation')}}</li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>




        <div class="row">
            <div class="col-md-6">
                <div class="card">
                    <div class="card-header"><h3>{{ __('Customer Information')}}</h3></div>
                    <div class="card-body">
                        <div class="row">

                            <div class="col-md-12">

                                    <div class="form-group">
                                        <label for="exampleInputName1">{{ __('Last Name')}}</label>
                                        <input type="text" class="form-control" id="lname" name="lname" placeholder="Last Name" value="{{ $reservations->lname }}" readonly>
                                    </div>
                                    <div class="form-group">
                                        <label for="exampleInputName1">{{ __('First Name')}}</label>
                                        <input type="email" class="form-control" id="fname" name="fname" placeholder="First Name" value="{{ $reservations->fname }}" readonly>
                                    </div>                            
                                    <div class="form-group row">
                                        
                                        <div class="col-sm-6">
                                          <label for="exampleInputName1">{{ __('Mobile No')}}</label>  
                                          <input type="text" class="form-control form-control-sm" id="mobileno" name = "mobileno" placeholder="Mobile No" value="{{ $reservations->mobileno }}" readonly>
                                        </div>
                                        <div class="col-sm-6">
                                          <label for="exampleInputName1">{{ __('Phone No')}}</label>    
                                          <input type="text" class="form-control form-control-sm" id="phoneno" name = "phoneno" placeholder="Phone No" value="{{ $reservations->phoneno }}" readonly>
                                        </div> 
                                    </div>  
                                    <div class="form-group row">
                                        <div class="col-sm-6">
                                          <label for="exampleInputName1">{{ __('Branch Name')}}</label> 
                                          <input type="text" class="form-control form-control-sm" id="branchname" name = "branchname" placeholder="Branch Code" value="{{ $reservations->branchname }}" readonly>
                                        </div>
                                        <div class="col-sm-6">
                                          <label for="exampleInputName1">{{ __('Reserved Date')}}</label>   
                                          <input type="date" class="form-control form-control-sm" id="reserveddate" name = "reserveddate" placeholder="Phone No" value="{{ $reservations->reserveddate }}" readonly>
                                        </div> 
                                    </div>                                      
                                  

                                    <button class="btn btn-success" onclick="window.location.href='{{ route('admin.reservations.index') }}'">{{ __('Back to List')}}</button>


                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="card">
                    <div class="card-header"><h3>{{ __('Product Information')}}</h3></div>
                    <div class="card-body">
                        <div class="row">

                            <div class="col-md-12">

                                    <div class="form-group">
                                        <label for="exampleInputName1">{{ __('Product Name')}}</label>
                                        <input type="text" class="form-control" id="productname" name="productname" placeholder="Product Name" value="{{ $reservations->productname }}" readonly>
                                    </div>
                                    <div class="form-group">
                                        <label for="exampleInputName1">{{ __('Price')}}</label>
                                        <input type="email" class="form-control" id="price" name="price" placeholder="Price" style="text-align: right" value="{{ $reservations->price }}" readonly>
                                    </div>                            
                                    <div class="form-group row">
                                        <div class="col-sm-6">
                                          <label for="exampleInputName1">{{ __('Qty')}}</label>  
                                          <input type="text" class="form-control form-control-sm" id="qty" name = "qty" placeholder="Qty" style="text-align: right" value="{{ $reservations->qty }}" readonly>
                                        </div>
                                        <div class="col-sm-6">
                                          <label for="exampleInputName1">{{ __('Amount')}}</label>    
                                          <input type="text" class="form-control form-control-sm" id="amount" name = "amount" placeholder="Amount" style="text-align: right" value="{{ $reservations->amount }}" readonly>
                                        </div> 
                                    </div>  
                                    <div class="form-group" style="text-align: center;">
                                        <div class="form-group" style="text-align: center;">
                                            @if($reservations->status == "Pending")
                                              <span class="stamp is-cancelled">Pending</span>
                                            @endif   
                                            @if($reservations->status == "Approved")
                                              <span class="stamp is-approved">Approved</span>
                                            @endif                                               
                                        </div>
                                    </div>                                        

                            </div>
                        </div>
                    </div>
                </div>
            </div>            
        </div>


        
    </div>

    <!-- push external js -->
    @push('script')
        <script src="{{ asset('plugins/select2/dist/js/select2.min.js') }}"></script>
        <script src="{{ asset('plugins/summernote/dist/summernote-bs4.min.js') }}"></script>
        <script src="{{ asset('plugins/bootstrap-tagsinput/dist/bootstrap-tagsinput.min.js') }}"></script>
        <script src="{{ asset('plugins/jquery.repeater/jquery.repeater.min.js') }}"></script>
        <script src="{{ asset('plugins/mohithg-switchery/dist/switchery.min.js') }}"></script>
      
        <script src="{{ asset('js/form-advanced.js') }}"></script>

        <script>
        function validateForm() {
          
          if(document.getElementById('name').value == ""){
              alert("Please Enter Name to Continue!");
               return false;
          }
          if(document.getElementById('email').value == ""){
              alert("Please Enter Email Address to Continue!");
               return false;
          }
          if(document.getElementById('password').value == ""){
              alert("Please Enter Password to Continue!");
               return false;
          }  
          if(document.getElementById('user_photo').value == ""){
              alert("Please Select Photo to Continue!");
               return false;
          }    

          if(document.getElementById('password').value != document.getElementById('confirm-password').value){
              alert("Password and Confirm Password does not match!");
               return false;
          }

          var ok = confirm("Are you sure you want Save Record?");
          if(ok){  
            return true; 
          } else {  
            return false; 
          }
        }
        </script>

    @endpush
@endsection
    
