@extends('layouts.vertical')
@section('content')

<style>


.panel {
  box-shadow: 0 2px 0 rgba(0,0,0,0.05);
  border-radius: 0;
  border: 0;
  margin-bottom: 24px;
}

.panel-dark.panel-colorful {
  background-color: #3b4146;
  border-color: #3b4146;
  color: #fff;
}

.panel-danger.panel-colorful {
  background-color: #f76c51;
  border-color: #f76c51;
  color: #fff;
}

.panel-primary.panel-colorful {
  background-color: #5fa2dd;
  border-color: #5fa2dd;
  color: #fff;
}

.panel-info.panel-colorful {
  background-color: #4ebcda;
  border-color: #4ebcda;
  color: #fff;
}

.panel-body {
  padding: 25px 20px;
}

.panel hr {
  border-color: rgba(0,0,0,0.1);
}

.mar-btm {
  margin-bottom: 15px;
}

h2, .h2 {
  font-size: 28px;
}

.small, small {
  font-size: 85%;
}

.text-sm {
  font-size: .9em;
}

.text-thin {
  font-weight: 300;
}

.text-semibold {
  font-weight: 600;
}
</style>
    <!-- Section: inner-header -->
    <section class="inner-header divider overlay-light" style="width: 90%; height: auto; display:block; position: absolute;" data-bg-img="{{ asset('images/header/header2.jpg') }}">
      <div class="container pt-30 pb-30">
        <!-- Section Content -->
        <div class="section-content text-center">
          <div class="row"> 
            <div class="col-md-6 col-md-offset-3 text-center">
              <h2 class="text-theme-colored font-36">Dashboard</h2>
              <ol class="breadcrumb text-center mt-10 white">
                <li class="active"> </li>
              </ol>
            </div>
          </div>
        </div>
      </div>      
    </section>
    <section>
              <div class="container bootstrap snippets bootdey">
                  <div class="row">
                      <div class="col-md-3 col-sm-6 col-xs-12">
                          <div class="panel panel-dark panel-colorful">
                              <div class="panel-body text-center">
                                <p class="text-uppercase mar-btm text-sm">Rx Subscription</p>
                                <i class="fa fa-users fa-5x"></i>
                                <hr>
                                <p class="h2 text-thin text-white">1</p>
                                <small><span class="text-semibold"></span>Active Subscription</small>
                              </div>
                          </div>
                      </div>
                      <div class="col-md-3 col-sm-6 col-xs-12">
                        <div class="panel panel-danger panel-colorful">
                          <div class="panel-body text-center">
                            <p class="text-uppercase mar-btm text-sm">Rx Refill</p>
                            <i class="fa fa-comment fa-5x"></i>
                            <hr>
                            <p class="h2 text-thin">2</p>
                            <small><span class="text-semibold"> </span> Scheduled Refill</small>
                          </div>
                        </div>
                      </div>
                      <div class="col-md-3 col-sm-6 col-xs-12">
                        <div class="panel panel-primary panel-colorful">
                          <div class="panel-body text-center">
                            <p class="text-uppercase mar-btm text-sm">Next Order</p>
                            <i class="fa fa-shopping-cart fa-5x"></i>
                            <hr>
                            <p class="h2 text-thin">9</p>
                            <small><span class="text-semibold"><i class="fa fa-shopping-cart fa-fw"></i></span> Rx Products</small>
                          </div>
                        </div>
                      </div>
                      <div class="col-md-3 col-sm-6 col-xs-12">
                        <div class="panel panel-info panel-colorful">
                          <div class="panel-body text-center">
                            <p class="text-uppercase mar-btm text-sm">Paid</p>
                            <i class="fa fa-dollar fa-5x"></i>
                            <hr>
                            <p class="h2 text-thin">7,428</p>
                            <small><span class="text-semibold"><i class="fa fa-dollar fa-fw"></i></span> Total Paid</small>
                          </div>
                        </div>
                      </div>        
                </div>
              </div>

    </section>



    <script>
       /**
       * Do the clicking stuff
       *
       */

      (function() {
        var cards = document.querySelectorAll(".card.effect__click");
        for ( var i  = 0, len = cards.length; i < len; i++ ) {
          var card = cards[i];
          clickListener( card );
        }

        function clickListener(card) {
          card.addEventListener( "click", function() {
            var c = this.classList;
            c.contains("flipped") === true ? c.remove("flipped") : c.add("flipped");
          });
        }
      })();

      /**
       * Do the random stuff
       *
       */

      (function() {

        // cache vars
        var cards = document.querySelectorAll(".card.effect__random");
        var timeMin = 1;
        var timeMax = 3;
        var timeouts = [];

        // loop through cards
        for ( var i = 0, len = cards.length; i < len; i++ ) {
          var card = cards[i];
          var cardID = card.getAttribute("data-id");
          var id = "timeoutID" + cardID;
          var time = randomNum( timeMin, timeMax ) * 1000;
          cardsTimeout( id, time, card );
        }

        // timeout listener
        function cardsTimeout( id, time, card ) {
          if (id in timeouts) {
            clearTimeout(timeouts[id]);
          }
          timeouts[id] = setTimeout( function() {
            var c = card.classList;
            var newTime = randomNum( timeMin, timeMax ) * 1000;
            c.contains("flipped") === true ? c.remove("flipped") : c.add("flipped");
            cardsTimeout( id, newTime, card );
          }, time );
        }

        // random number generator given min and max
        function randomNum( min, max ) {
          return Math.random() * (max - min) + min;
        }

      })();

    </script>

        

@endsection