@extends('layouts.law')
@section('content')






    <!-- Section: inner-header -->
    <section class="inner-header divider overlay-light" data-bg-img="{{ asset('images/header/header2.jpg') }}">
      <div class="container pt-30 pb-30">
        <!-- Section Content -->
        <div class="section-content text-center">
          <div class="row"> 
            <div class="col-md-6 col-md-offset-3 text-center">
              <h2 class="text-theme-colored font-36">Rx Subscription</h2>
              <ol class="breadcrumb text-center mt-10 white">
                <li><a href="{{ route('home') }}">Home</a></li>
                <li class="active text-black">Rx Subscription</li>
              </ol>
            </div>
          </div>
        </div>
      </div>      
    </section>
    
    <!-- Section: Appointment -->
    <section id="about" class="bg-no-repeat bg-img-cover"> 
      <div class="container pb-0">
        <div class="row">
          <div class="col-md-12 col-md-offset-1">
            <img class="mt-10" src="{{ asset('images/medsubs1.jpg') }}" alt="">

          <div class="col-md-12 p-20">
            <h3 class="mt-0">No need to order every now and then</h3>
            <p><b>St Joseph Drug</b> will deliver your Medicines on time with your preferred date and your preferred length of Subscription.</p>

            <h3 class="mt-0">Hassle Free</h3>
            <p>No need to come to us because <b>St Joseph Drug</b> will go to you.</p>  

            <h3>Our Mission</h3>
            <p>Is to help you better, live longer, and become the best possible you.</p>
            <br>
            <div class="panel-group accordion style2 mb-0 mt-20" id="accordion2">
              <div class="panel">
                <div class="panel-title"> <a href="#accordion21" data-toggle="collapse" data-parent="#accordion2"> <span class="open-sub"></span> How to Subscribe?</a> </div>
                <div class="panel-collapse collapse" id="accordion21">
                  <div class="panel-content">
                    <p>1. Fill out the form below with your complete details.</p>
                    <p>2. Upload your prescriptions, if applicable.</p>
                    <p>3. Upload your Senior Citizen documents, if there are any.</p>
                    <p>4. Click the Subscribe button to complete.</p>
                    <p>5. St Joseph Drug will contact you for verification.</p>
                  </div>
                </div>
              </div>
              <div class="panel">
                <div class="panel-title"> <a href="#accordion22" data-toggle="collapse" data-parent="#accordion2"> <span class="open-sub"></span> How to pay for your subscription?</a> </div>
                <div class="panel-collapse collapse" id="accordion22">
                  <div class="panel-content">
                    <p>1. Payment can be done on or before the delivery of your Medicine Subscription</p>
                    <p>2. You can pay via our Store or GCash</p>

                  </div>
                </div>
              </div>
              <div class="panel">
                <div class="panel-title"> <a href="#accordion23" data-toggle="collapse" data-parent="#accordion2"> <span class="open-sub"></span> How to Cancel your Subscription?</a> </div>
                <div class="panel-collapse collapse" id="accordion23">
                  <div class="panel-content">
                    <p>1. Your Subscription can be cancelled anytime. </p>
                  </div>
                </div>
              </div>
              <br>
              <br>
            </div>
          </div>
          </div>
        </div>
      </div>
    </section>
    <section>




      <div class="container">
        <div class="row">
          <div class="col-md-6 col-md-push-3">
            <form method="post" action="{{ route('register') }}"  onsubmit="return validateForm()">

              <input type="hidden" class="form-control form-control-sm" id= "_token" name="_token" value="{{ csrf_token() }}">
              <div class="icon-box mb-0 p-0">
                <a href="#" class="icon icon-bordered icon-rounded icon-sm pull-left mb-0 mr-10">
                  <i class="pe-7s-users"></i>
                </a>
                <h4 class="text-gray pt-10 mt-0 mb-30">Don't have an Account? Subscribe Now.</h4>
              </div>
              <hr>
              <p class="text-gray">Fill-up the form below with your full details.</p>
              <div class="row">
                <div class="form-group col-md-12">
                  <label for="form_choose_username">Email Address</label>
                  <input id="email" name="email" class="form-control" type="email">
                </div>
              </div>
              <div class="row">
                <div class="form-group col-md-6">
                  <label for="form_name">Password</label>
                  <input id="password" name="password" class="form-control" type="password">
                </div>
                <div class="form-group col-md-6">
                  <label>Confirm Password</label>
                  <input id="password-confirm" name="password_confirmation" class="form-control" type="password">
                </div>
              </div>
              <div class="row">
                <div class="form-group col-md-6">
                  <label>Last Name</label>
                  <input id="lname" name="lname" class="form-control" type="text">
                </div>                
                <div class="form-group col-md-6">
                  <label for="form_name">First Name</label>
                  <input id="fname" name="fname" class="form-control" type="text">
                </div>
              </div>
              <div class="row">
                <div class="form-group col-md-6">
                  <label>Middle Name</label>
                  <input id="mname" name="mname" class="form-control" type="text">
                </div>               
                <div class="form-group col-md-6">
                  <label for="form_name">Suffix</label>
                  <input id="suffix" name="suffix" class="form-control" type="text">
                </div>
              </div>              
              <div class="row">
                <div class="form-group col-md-6">
                  <label for="form_name">Birth Date</label>
                  <input id="birthdate" name="birthdate" class="form-control" type="date">
                </div>
                <div class="form-group col-md-6">
                  <label>Birth Place</label>
                  <input id="birthplace" name="birthplace" class="form-control" type="text">
                </div>
              </div>              
              <div class="row">
                <div class="form-group col-md-12">
                  <label for="form_choose_username">Choose Gender</label>
                  <select class="form-control" id="gender" name="gender">
                    <option value="">Choose Gender</option>
                    <option value="Male">Male</option>
                    <option value="Female">Female</option>
                  </select>
                </div>
              </div>
              <div class="row">
                <div class="form-group col-md-6">
                  <label for="form_choose_password">Mobile No</label>
                  <input id="mobileno" name="mobileno" class="form-control" type="text">
                </div>
                <div class="form-group col-md-6">
                  <label>Phone No</label>
                  <input id="phoneno" name="phoneno"  class="form-control" type="text">
                </div>
              </div>
              <div class="row">
                <div class="form-group col-md-6">
                  <label for="form_choose_password">House No/Street Name</label>
                  <input id="houseno" name="houseno" class="form-control" type="text">
                </div>
                <div class="form-group col-md-6">
                  <label>Province</label>
                  <select name="province" id="province" class="form-control form-control-sm select2" data-dependent="city">
                   <option value="">Select Province</option>
                   @foreach($provinces as $provinces)
                   <option value="{{ $provinces->code}}">{{ $provinces->name }}</option>
                   @endforeach
                  </select>
                </div>
              </div> 
              <div class="row">
                <div class="form-group col-md-6">
                  <label>Town/City/Municipality</label>
                  <select id="city" name="city" class="form-control form-control-sm select2" >
                  </select>
                </div>
                <div class="form-group col-md-6">
                  <label>Barangay</label>
                  <select id="barangay" name="barangay" class="form-control form-control-sm select2">
                  </select> 
                </div>
              </div> 
              <div class="row">
                <div class="form-group col-md-12">
                  <label for="form_choose_username">Zip Code</label>
                  <input id="zipcode" name="zipcode" class="form-control" type="text">
                </div>
              </div>              
              <div class="form-group">
                <button class="btn btn-dark btn-lg btn-block mt-15" type="submit">Register Now</button>
              </div>
            </form>
          </div>
        </div>
      </div>
    </section>




    <script>
    $(document).ready(function(){


      $('#province').on('change', function () {
          var provcode = this.value;
          $("#city").html('');
          $.ajax({
              url: "{{url('fetchCity')}}",
              type: "POST",
              data: {
                  provcode: provcode,
                  _token: '{{csrf_token()}}'
              },
              dataType: 'json',
              success: function (result) {
                  $('#city').html('<option value=""> Select Town/City/Municipality </option>');
                  $.each(result.cities, function (key, value) {
                      $("#city").append('<option value="' + value.code + '">' + value.name + '</option>');
                  });
                  $('#barangay').html('<option value="">Select Barangay</option>');
              }
          });
      });


      $('#city').on('change', function () {
          var cmcode = this.value;
          $("#barangay").html('');
          $.ajax({
              url: "{{url('fetchBarangay')}}",
              type: "POST",
              data: {
                  cmcode: cmcode,
                  _token: '{{csrf_token()}}'
              },
              dataType: 'json',
              success: function (res) {
                  $('#barangay').html('<option value="">Select Barangay</option>');
                  $.each(res.barangays, function (key, value) {
                      $("#barangay").append('<option value="' + value.code + '">' + value.name + '</option>');
                  });
              }
          });
      });

    });

    </script>

    <script>
    function validateForm() {


      if(document.getElementById('email').value == "" ){
          alert("Please Enter Email Address to Continue!");
           return false;
      } 

      if(document.getElementById('password').value == "" ){
          alert("Please Enter Password to Continue!");
           return false;
      }  

      if(document.getElementById('password').value != document.getElementById('cpassword').value ){
          alert("Password and Confirm Password does not match!");
           return false;
      }
      
      if(document.getElementById('lname').value == "" ){
          alert("Please Enter Last Name to Continue!");
           return false;
      }
      if(document.getElementById('fname').value == "" ){
          alert("Please Enter First Name to Continue!");
           return false;
      }
      if(document.getElementById('mname').value == "" ){
          alert("Please Enter Middle Name to Continue!");
           return false;
      }      

      if(document.getElementById('mobileno').value == "" ){
          alert("Please Enter Mobile No to Continue!");
           return false;
      }  

      if(document.getElementById('birthdate').value == "" ){
          alert("Please Enter Birth Date to Continue!");
           return false;
      }  

      if(document.getElementById('birthplace').value == "" ){
          alert("Please Enter Birth Place to Continue!");
           return false;
      } 

      if(document.getElementById('gender').value == "" ){
          alert("Please Select Gender to Continue!");
           return false;
      } 


      var ok = confirm("Are you sure you want Save Record?");
      if(ok){  
        return true; 
      } else {  
        return false; 
      }

    }

    </script>

@endsection