 
<?php $__env->startSection('title', 'Group Permissions'); ?>
<?php $__env->startSection('content'); ?>
    <!-- push external head elements to head -->
    <?php $__env->startPush('head'); ?>
        <link rel="stylesheet" href="<?php echo e(asset('plugins/DataTables/datatables.min.css')); ?>">
    <?php $__env->stopPush(); ?>
 


    <div class="container-fluid">
        <div class="page-header">
            <div class="row align-items-end">
                <div class="col-lg-8">
                    <div class="page-header-title">
                        <i class="ik ik-unlock bg-green"></i>
                        <div class="d-inline">
                            <h5><?php echo e(__('List of Group Permissions')); ?></h5>
                            <span><?php echo e(__('Manage Group Permission Name')); ?></span>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4">
                    <nav class="breadcrumb-container" aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item">
                                <a href="<?php echo e(route('home')); ?>"><i class="ik ik-home"></i></a>
                            </li>
                            <li class="breadcrumb-item">
                                <a href="#">User Management</a>
                            </li>
                            <li class="breadcrumb-item active" aria-current="page">List of Group Permission</li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>


        <div class="row">
            <div class="col-md-3">
                <div class="card">
                    <div class="card-header"><h3><?php echo e(__('Add New Group Permissions')); ?></h3></div>
                    <div class="card-body">
                        <div class="row">

                            <div class="col-md-12">

                                
                                    
                                    <div class="form-group">
                                        <label for="exampleInputName1"><?php echo e(__('Group Permission')); ?></label>
                                        <input type="text" class="form-control form-control-sm" id="element" name="element"  placeholder="Group Permission Name" maxlength="45" required>
                                    </div>

                                    <button type="button" id="addpositiontype" class="btn btn-primary btn-block mr-2" onclick="addPermission();"><?php echo e(__('Add Group Permission')); ?></button>


                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-9">
                <div class="card">
                    <div class="card-header"><h3><?php echo e(__('List of Group Permissions')); ?></h3></div>
                    <div class="card-body">


                       <div class="row">
                            <div class="px-1">
                                <fieldset class="form-group position-relative">
                                    <input type="text" class="form-control form-control-sm" placeholder="Group Permission" id= "spermission" name="spermission">
                                </fieldset>
                            </div>                          

                            <div class="px-1" >

                                <fieldset class="form-group position-relative">

                                    <button type = "button" class="btn-sm btn-primary" name ="filter" id = "filter"><i class="icofont icofont-job-search"></i> Search</button>
                                    <button type = "button" class="btn-sm btn-warning" name ="reset" id = "reset"><i class="icofont icofont-ui-rotation"></i> Show All</button>

                                </fieldset>
                            </div>  
                    
                        </div>

                    </div>
                    <div class="card-body">
                        <table  id="employee-grid" class="display compact custom" cellspacing="0" cellspacing="0" style="width:100%">
                            <thead>
                            <tr>
                                <th>Action</th>
                                <th>Group Permission</th>
                            </tr>
                            </thead>
                            <tbody>

                            </tbody>

                        </table>  
                    </div>
                </div>
            </div>
        </div>

    </div>


    <!-- push external js -->
    <?php $__env->startPush('script'); ?>
        <!--
        <script src="<?php echo e(asset('plugins/DataTables/datatables.min.js')); ?>"></script>
        <script src="<?php echo e(asset('js/datatables.js')); ?>"></script>
        -->

        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('mylib/css/jquery.dataTables.css')); ?>"> 
        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('mylib/css/buttons.dataTables.min.css')); ?>"> 

        <script type="text/javascript" language="javascript" src="<?php echo e(asset('mylib/js/jquery.dataTables.min.js')); ?>"></script>
        <script type="text/javascript" language="javascript" src="<?php echo e(asset('mylib/js/dataTables.buttons.min.js')); ?>"></script>
        <script type="text/javascript" language="javascript" src="<?php echo e(asset('mylib/js/jszip.min.js')); ?>"></script>
        <script type="text/javascript" language="javascript" src="<?php echo e(asset('mylib/js/pdfmake.min.js')); ?>"></script>
        <script type="text/javascript" language="javascript" src="<?php echo e(asset('mylib/js/vfs_fonts.js')); ?>"></script>
        <script type="text/javascript" language="javascript" src="<?php echo e(asset('mylib/js/buttons.html5.min.js')); ?>"></script>
        <script type="text/javascript" language="javascript" src="<?php echo e(asset('mylib/js/buttons.colVis.min.js')); ?>"></script> 


        <script>
        $(document).ready(function(){
        refreshpermissions();

        });
        </script>

        <script>
        function refreshpermissions() {

            fill_datatable();
            function fill_datatable(spermission = '')
            {
                var dataTable = $('#employee-grid').DataTable({
                    //scrollY:        "300px",
                    scrollX:        true,
                    scrollCollapse: true,
                    paging:         true,
                    columnDefs: [
                          { targets: [0], className: "text-center" },
                    ],
                    fixedColumns: true,

                    processing: true,
                    serverSide: true,
                dom: 'Blfrtip',
                buttons: [
                    {
                        extend: 'copyHtml5',
                        exportOptions: {
                            columns: [ 0, ':visible' ]
                        }
                    },
                    {
                        extend: 'excelHtml5',
                        exportOptions: {
                            columns: ':visible'
                        }
                    },
                    {
                        extend: 'csvHtml5',
                        exportOptions: {
                            columns: ':visible'
                        }
                    },            
                    {
                        extend: 'pdfHtml5',
                        exportOptions: {
                            columns: ':visible'
                        }
                    },
                    
                    'colvis'
                ], 
                    "lengthMenu": [[10, 20, 30, 40, 50, 100, -1], [10, 20, 30, 40, 50, 100, "All"]],
                    "pageLength": 10,                  

                    ajax:{
                        url: "<?php echo e(route('admin.elements.index')); ?>",

                        data:{
                            spermission:spermission
                        }
                    },
                    columns: [
                        {data: 'action', name: 'action', orderable: false, searchable: false},

                        {
                            data:'element',
                            name:'element'
                        }             
                        


                ]



                });


            }
            $('#filter').click(function(){
                var spermission = $('#spermission').val();
                

                if(spermission != '')
                {
                    $('#employee-grid').DataTable().destroy();
                    fill_datatable(spermission);
                }
                else
                {
                    $('#employee-grid').DataTable().destroy();
                    fill_datatable();
                }
            });

            $('#reset').click(function(){
                $('#spermission').val('');
                $('#employee-grid').DataTable().destroy();
                fill_datatable();
            });

        } 

        </script>

        <script>    
        function addPermission() {

            if($('#element').val() == ""){//check leave type
                alert('Please Enter Group Permission to Continue!');
            }else{
                            var ok = confirm("Are you sure you want to Add Position Type?");
                            if(ok){
                                $.ajax({
                                    url: "<?php echo e(route('admin.elements.store')); ?>",
                                    dataType:'JSON',
                                    data: {
                                        _token:"<?php echo e(csrf_token()); ?>",
                                        element: $('#element').val()
                                    },
                                    type: "POST",

                                    success: function(data){
                                    
                                    data = $.trim(data);
                                    
                                    document.getElementById('element').value = "";
                                    $('#employee-grid').DataTable().destroy();
                                    refreshpermissions();
                                        if(data === "SUCCESS"){
                                            alert("Form has been submitted!");
                                            location.reload(true);
                                            //window.location.reload();
                                        } //else{alert(data);}
                                    }
                                });
                            }

                        //} else{alert(data);}


            }



        }
        </script>
    <?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>
      

<?php echo $__env->make('layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp\htdocs\medfinder\resources\views/admin/elements/index.blade.php ENDPATH**/ ?>