 
<?php $__env->startSection('title', 'New Role'); ?>
<?php $__env->startSection('content'); ?>

    <!-- push external head elements to head -->
    <?php $__env->startPush('head'); ?>
        <link rel="stylesheet" href="<?php echo e(asset('plugins/select2/dist/css/select2.min.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('plugins/summernote/dist/summernote-bs4.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('plugins/bootstrap-tagsinput/dist/bootstrap-tagsinput.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('plugins/mohithg-switchery/dist/switchery.min.css')); ?>">
    <?php $__env->stopPush(); ?>

    <div class="container-fluid">
        <div class="page-header">
            <div class="row align-items-end">
                <div class="col-lg-8">
                    <div class="page-header-title">
                        <i class="ik ik-user-plus bg-blue"></i>
                        <div class="d-inline">
                            <h5><?php echo e(__('New Role')); ?></h5>
                            <span><?php echo e(__('Add New User Role')); ?></span>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4">
                    <nav class="breadcrumb-container" aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item">
                                <a href="<?php echo e(route('home')); ?>"><i class="ik ik-home"></i></a>
                            </li>
                            <li class="breadcrumb-item"><a href="<?php echo e(route('admin.roles.index')); ?>"><?php echo e(__('List of Roles')); ?></a></li>
                            <li class="breadcrumb-item active" aria-current="page"><?php echo e(__('New Role')); ?></li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header"><h3><?php echo e(__('User Information')); ?></h3></div>
                    <form method="post" action="<?php echo e(route('admin.roles.store')); ?>" enctype="multipart/form-data">
                    <input type="hidden" class="form-control form-control-sm" id= "_token" name="_token" value="<?php echo e(csrf_token()); ?>">
                        <div class="card-body">
                            <div class="row">

                                <div class="col-md-12">

                                    <div class="form-group">
                                        <label for="exampleInputName1"><?php echo e(__('Role Name')); ?></label>
                                        <input type="text" class="form-control form-control-sm" id="name" name="name" placeholder="Enter Role" required>
                                    </div>
<!-- USER MANAGEMENT ############################################################# -->
                                    <table class="table table-head-fixed text-nowrap">
                                        <tr>
                                          <th style="width: 35%">USER MANAGEMENT</th>
                                          <th style="text-align: center">CHECK ALL</th>
                                          <th style="text-align: center">LIST</th>
                                          <th style="text-align: center">CREATE</th>
                                          <th style="text-align: center">EDIT</th>
                                          <th style="text-align: center">DELETE</th>
                                          <th style="text-align: center">IMPORT</th>
                                        </tr>

                                        <!-- USERS ############################################################# -->
                                        <tr>
                                          <td>List of Users</td>
                                          <th style = "text-align: center;"><input type = "checkbox" class="checkbox-column"  onclick = "toggleusers(this)"/> </th>
                                          <?php //@foreach(\App\Models\Permission::where('element', 'Users')->get() as $value) ?>
                                          <?php $__currentLoopData = $allpermissions->where('element', 'Users')->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                          <td style = "text-align: center;"><?php echo e(Form::checkbox('permission[]', $value->id, false, array('class' => 'name'))); ?></td>
                                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </tr>

                                        <!-- ROLES ############################################################# -->
                                        <tr>
                                          <td>List of Roles</td>
                                          <th style = "text-align: center;"><input type = "checkbox" class="checkbox-column"  onclick = "toggleroles(this)"/> </th>
                                          <?php $__currentLoopData = $allpermissions->where('element', 'Roles')->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                          <td style = "text-align: center;"><?php echo e(Form::checkbox('permission[]', $value->id, false, array('class' => 'name'))); ?></td>
                                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </tr>

                                        <!-- GROUP PERMISSIONS ############################################################# -->
                                        <tr>
                                          <td>List of Group Permissions</td>
                                          <th style = "text-align: center;"><input type = "checkbox" class="checkbox-column"  onclick = "togglegrouppermission(this)"/> </th>
                                          <?php $__currentLoopData = $allpermissions->where('element', 'GroupPermissions')->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                          <td style = "text-align: center;"><?php echo e(Form::checkbox('permission[]', $value->id, false, array('class' => 'name'))); ?></td>
                                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </tr>
                                        <!-- AUDIT TRAIL ############################################################# -->
                                        <!--
                                        <tr>
                                          <td>Audit Trail</td>
                                          <th style = "text-align: center;"><input type = "checkbox" class="checkbox-column"  onclick = "toggleaudittrail(this)"/> </th>
                                          <?php $__currentLoopData = $allpermissions->where('element', 'Audits')->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                          <td style = "text-align: center;"><?php echo e(Form::checkbox('permission[]', $value->id, false, array('class' => 'name'))); ?></td>
                                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </tr>
                                        -->
                                    </table>
                                    <button type="submit" class="btn btn-primary mr-2"><?php echo e(__('Submit')); ?></button>
                                    <button type="button" class="btn btn-light" onclick="window.location.href='<?php echo e(route('admin.roles.index')); ?>'"><?php echo e(__('Cancel')); ?></button>


                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        
    </div>

    <!-- push external js -->
    <?php $__env->startPush('script'); ?>
        <script src="<?php echo e(asset('plugins/select2/dist/js/select2.min.js')); ?>"></script>
        <script src="<?php echo e(asset('plugins/summernote/dist/summernote-bs4.min.js')); ?>"></script>
        <script src="<?php echo e(asset('plugins/bootstrap-tagsinput/dist/bootstrap-tagsinput.min.js')); ?>"></script>
        <script src="<?php echo e(asset('plugins/jquery.repeater/jquery.repeater.min.js')); ?>"></script>
        <script src="<?php echo e(asset('plugins/mohithg-switchery/dist/switchery.min.js')); ?>"></script>
      
        <script src="<?php echo e(asset('js/form-advanced.js')); ?>"></script>

        <!-- ################################################################### USERS  ########################################################################-->
        <script>
        function toggleusers(source) {
          var start = 0;
          var end = 5;
          checkboxes = document.getElementsByName('permission[]');
          for(var i=start, n=checkboxes.length;i<end;i++) {
            checkboxes[i].checked = source.checked;
          }
        }   
        </script>
        <script>
        function toggleroles(source) {
          var start = 5;
          var end = 10;
          checkboxes = document.getElementsByName('permission[]');
          for(var i=start, n=checkboxes.length;i<end;i++) {
            checkboxes[i].checked = source.checked;
          }
        }   
        </script>
        <script>
        function togglegrouppermission(source) {
          var start = 10;
          var end = 15;
          checkboxes = document.getElementsByName('permission[]');
          for(var i=start, n=checkboxes.length;i<end;i++) {
            checkboxes[i].checked = source.checked;
          }
        }   
        </script>

    <?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>
    

<?php echo $__env->make('layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp\htdocs\medfinder\resources\views/admin/roles/create.blade.php ENDPATH**/ ?>